[XG 2758] support ALTQ sur interfaces ix0/ix1



  • Bonjour à tous,

    j'ai fait acquisition d'un cluster HA sur 2 XG2758. Les 2 machines sont sur pfSense 2.3.4-RELEASE-p1 et lorsque je configure mon shaper, j'ai un message d'erreur m'informant que le driver ix ne supporte pas ALTQ.

    J'ai beau chercher sur le redmine ou sur ce forum, je ne trouve pas de réponse claire. Certains ont l'air de dire que c'est fixé en 2.4, d'autres pas. Dans mes recherches, j'apprends aussi que les limiters sont utilisables sauf quand pfsync est activé….

    Alors je tente ma chance ici. Y a t-il quelqu'un qui peut confirmer le support ALTQ sur la 2.4 pour le driver ix? ou même proposer un workaround pour la 2.3.4?

    De manière rapide, mon infra est comme suit:
    8 sous-réseaux utilisateurs:
    ix0
    ix0_1001
    ix0_1002
    ix0_1003
    ix0_1004
    ix0_1005
    ix0_1006
    ix0_1007

    divers serveurs
    ix1_3

    management
    igb1_2

    pfync
    igb0

    wan (FO 100Mb/100Mb)
    igb7_101

    rescue
    igb4

    Toutes ces interfaces, sauf RESCUE, sont en CARP. Le DHCP est dans une VM XEN sur les subnets des interfaces ix0 et ix0_xxxx. L'infra fonctionne comme escompté. Ne me reste qu'à installer une QoS.

    Merci à tous.



  • pour ceux que cela intéresse, le support officiel m'a répondu et cet issue est toujours présent en 2.4. J'essaie de savoir pour quelle version ils prévoient le fix.



  • Je te confirme que cela ne fonctionne pas (j'ai plusieurs cluster en 10G sur IX) et je te confirme aussi que les limiters sont à proscrire dans un cluster CARP/pfSync.


Log in to reply